package com.heyu.api.data.service.impl.vv;
/**
* <p>
* 所有数据表 服务类
* </p>
*
* @author quyixiao
* @since 2025-10-20
*/

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.heyu.api.data.dao.vv.VvCreateDataConfigDao;
import com.heyu.api.data.entity.vv.VvCreateDataConfigEntity;
import com.heyu.api.data.service.vv.VvCreateDataConfigService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
@Service
public class VvCreateDataConfigServiceImpl extends ServiceImpl<VvCreateDataConfigDao, VvCreateDataConfigEntity> implements VvCreateDataConfigService {


    @Autowired
	private VvCreateDataConfigDao vvCreateDataConfigDao;



	@Override
	public VvCreateDataConfigEntity selectVvCreateDataConfigById(Long id){
		return vvCreateDataConfigDao.selectVvCreateDataConfigById(id);
	}



	@Override
	public Long insertVvCreateDataConfig(VvCreateDataConfigEntity vvCreateDataConfig){
		return vvCreateDataConfigDao.insertVvCreateDataConfig(vvCreateDataConfig);
	}



	@Override
	public Long insertOrUpdateVvCreateDataConfig(VvCreateDataConfigEntity vvCreateDataConfig){
		return vvCreateDataConfigDao.insertOrUpdateVvCreateDataConfig(vvCreateDataConfig);
	}



	@Override
	public int updateVvCreateDataConfigById(VvCreateDataConfigEntity vvCreateDataConfig){
		return vvCreateDataConfigDao.updateVvCreateDataConfigById(vvCreateDataConfig);
	}



	@Override
	public int updateCoverVvCreateDataConfigById(VvCreateDataConfigEntity vvCreateDataConfig){
		return vvCreateDataConfigDao.updateCoverVvCreateDataConfigById(vvCreateDataConfig);
	}



	@Override
	public int deleteVvCreateDataConfigById(Long id){
		return vvCreateDataConfigDao.deleteVvCreateDataConfigById(id);
	}



}
